package com.m2pool.lease.utils;

import pt.kcry.blake3.Blake3;

import java.time.LocalDateTime;
import java.time.temporal.ChronoUnit;
import java.util.UUID;

/**
 * UUID 生成工具类，提供生成标准 UUID 和去除连字符的 UUID 的方法。
 */
public class UuidGeneratorUtil {

    /**
     * 生成标准格式的 UUID，包含连字符，例如：550e8400-e29b-41d4-a716-446655440000
     *
     * @return 标准格式的 UUID 字符串
     */
    public static String generateStandardUuid() {
        return UUID.randomUUID().toString();
    }

    /**
     * 生成去除连字符的 UUID，例如：550e8400e29b41d4a716446655440000
     *
     * @return 去除连字符的 UUID 字符串
     */
    public static String generateUuidWithoutHyphen() {
        return generateStandardUuid().replace("-", "");
    }

    // 测试代码
    public static void main(String[] args) {
        //System.out.println("标准 UUID: " + generateStandardUuid());
        //System.out.println("无连字符 UUID: " + generateUuidWithoutHyphen());
        long daysBetween = ChronoUnit.HOURS.between(
                LocalDateTime.of(2025, 12, 9, 23, 43),
                LocalDateTime.of(2025, 12, 12, 23, 42));
        System.out.println(daysBetween);
    }

}
